package com.palmnest.service.user;

/**
 * 模块用户量统计service层
 */
public interface ModuleUserCountService {

	/**
	 * 保存用户-模块信息 存到redis中
	 *
	 * @param serviceCode 服务编码
	 * @param userId      用户id
	 */
	void saveModuleUserToRedis(String serviceCode, Integer userId, Integer orgId);

	/**
	 * 保存昨天用户活跃量
	 * 统计各模块用户活跃量并保存至数据库
	 */
	public void saveModuleUserToLocal();


}
